# nilmrun: Run NilmDB filters
by Jim Paris <jim@jtan.com>

## Prerequisites:

    # Runtime and build environments
    sudo apt-get install python3

    # Create a new Python virtual environment to isolate deps.
    python3 -m venv ../venv
    source ../venv/bin/activate   # run "deactivate" to leave

    # Install all Python dependencies
    pip3 install -r requirements.txt

## Install:

Install it into the virtual environment

    python3 setup.py install

If you want to instead install it system-wide, you will also need to
install the requirements system-wide:

    sudo pip3 install -r requirements.txt
    sudo python3 setup.py install

## Usage:

    nilmrun-server --help

See docs/wsgi.md for info on setting up a WSGI application in Apache.
